AsterNet Class Library (Sandcastle documentation)

| AgentLogoffAction Class

The AgentLogoffAction sets an agent as no longer logged in.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
AgentLogoffAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AgentLogoffAction : ManagerAction

    Public Class AgentLogoffAction
    	Inherits ManagerAction

    public ref class AgentLogoffAction : public ManagerAction

    type AgentLogoffAction =
        class
            inherit ManagerAction
        end

The AgentLogoffAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AgentLogoffAction | Creates a new empty AgentLogoffAction.
| AgentLogoffAction(String) | Creates a new AgentLogoffAction that logs off the given agent
| AgentLogoffAction(String, Boolean) | Creates a new AgentLogoffAction that logs off the given agent

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Returns the name of this action, i.e. "AgentLogoff". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Agent | Returns the name of the agent to log off, for example "1002".
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)
| Soft | Get/Set whether to hangup existing calls or not. Default is to hangup existing calls on logoff.

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace